curl --request POST \
--url https://api.augustus.com/v1/account_holders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"account_program_id": "550e8400-e29b-41d4-a716-446655440002",
"beneficiary_data": {
"legal_name": "Jordan Rivera",
"residential_address": {
"line_1": "548 Market St",
"city": "San Francisco",
"state": "CA",
"postal_code": "94103",
"country_code": "US",
"line_2": "Apartment 4B"
},
"date_of_birth": "1990-01-15",
"identification": {
"type": "ssn",
"value": "123-45-6789"
},
"country_of_citizenship": "US"
}
}
'import requests
url = "https://api.augustus.com/v1/account_holders"
payload = {
"account_program_id": "550e8400-e29b-41d4-a716-446655440002",
"beneficiary_data": {
"legal_name": "Jordan Rivera",
"residential_address": {
"line_1": "548 Market St",
"city": "San Francisco",
"state": "CA",
"postal_code": "94103",
"country_code": "US",
"line_2": "Apartment 4B"
},
"date_of_birth": "1990-01-15",
"identification": {
"type": "ssn",
"value": "123-45-6789"
},
"country_of_citizenship": "US"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_program_id: '550e8400-e29b-41d4-a716-446655440002',
beneficiary_data: {
legal_name: 'Jordan Rivera',
residential_address: {
line_1: '548 Market St',
city: 'San Francisco',
state: 'CA',
postal_code: '94103',
country_code: 'US',
line_2: 'Apartment 4B'
},
date_of_birth: '1990-01-15',
identification: {type: 'ssn', value: '123-45-6789'},
country_of_citizenship: 'US'
}
})
};
fetch('https://api.augustus.com/v1/account_holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "68e0a1b2c3d4e5f60718293a",
"type": "account_holder",
"holder_type": "natural_person",
"status": "pending",
"beneficiary_data": {
"legal_name": "Jordan Rivera",
"residential_address": {
"line_1": "548 Market St",
"line_2": "Apartment 4B",
"city": "San Francisco",
"state": "CA",
"postal_code": "94103",
"country_code": "US"
},
"date_of_birth": "1990-01-15",
"identification": {
"type": "ssn",
"value": "123-45-6789"
},
"country_of_citizenship": "US"
},
"created_at": "2026-01-15T10:30:00Z"
}Create account holder
Creates a new account holder and starts asynchronous processing.
Authorizations
Bearer token for authentication with Augustus Banking API
Headers
Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.
Body
Account holder parameters
ID of the account program to create the account holder under.
"550e8400-e29b-41d4-a716-446655440002"
Type of the account holder.
natural_person, business Personal information of the account holder. The shape you send follows country_of_citizenship: use US individual when it is US, and Non-US individual for any other country. Use Business when holder_type is business.
- US individual
- Non-US individual
- Business
Show child attributes
Show child attributes
Response
Account holder created successfully
Unique identifier of the account holder.
^[0-9a-fA-F]{24}$"68e0a1b2c3d4e5f60718293a"
Resource type discriminator.
account_holder Type of the account holder.
natural_person, business Current account holder status.
pending, active, closed Beneficiary details used to create this account holder. Which shape is returned follows country_of_citizenship: US individual when it is US, Non-US individual for any other country, Business when holder_type is business.
- US individual
- Non-US individual
- Business
Show child attributes
Show child attributes
ISO 8601 UTC timestamp when the account holder was created.
"2026-01-15T10:30:00Z"
Was this page helpful?